Subject: Missing cpm_install_handler/cpm_free_handler on the MPC8260 port

From: [email-masked] (diekema_jon)
Date: Thu, 22 Jun 2000 09:37:54 -0400 (EDT)

When Linux version 2.4.0-test1-ac21 is compiled for a MPC8260,
	the cpm helper routines like cpm_install_handler and symbol
	cpm_free_handler are no longer available.  These routines are
	defined in arch/ppc/8xx_io/commproc.c, but none of the files in
	this directory get compiled into the kernel for a MPC8260 target.

	It appears that the interrupt controller on the MPC8260 is a bit
	different from the MPC8xx.  Has anyone ported the following
	routines or functionality from 8xx to 8260?

        cpm_interrupt_init
        cpm_install_handler
	cpm_free_handler

	If not, then I will work on adding this functionality.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/